%define		_class		PEAR
%define		_subclass	Delegator
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	0.1.0
Release:	%mkrel 22
Summary:	Delegation for PHP
License:	PHP License
Group:		Development/PHP
URL:		https://pear.php.net/package/PEAR_Delegator/
Source0:	https://pear.php.net/get/%{upstream_name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-fix-path.patch
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
This package implements traditional and unorthodox delegation in PHP.
This allows for pseudo multiple inheritance and other interesting
design paradigms.


%prep
%setup -q -c
%patch -P 0 -p 1
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml






%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.1.0-22.mga10
+ Revision: 2232185
- Mageia 10 Mass Rebuild

* Sun Dec 22 2024 pterjan <pterjan> 0.1.0-21.mga10
+ Revision: 2128061
- Rebuild for patchN deprecation

* Tue Mar 22 2022 umeabot <umeabot> 0.1.0-20.mga9
+ Revision: 1818046
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.0-19.mga8
+ Revision: 1499131
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.1.0-18.mga7
+ Revision: 1273752
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 0.1.0-17.mga6
+ Revision: 933368
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-16.mga5
+ Revision: 743672
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.0-15.mga5
+ Revision: 687405
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.0-14.mga5
+ Revision: 517105
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.0-13.mga3
+ Revision: 377123
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.1.0-12.mga1
+ Revision: 44019
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-PEAR_Delegator


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-12mdv2011.0
+ Revision: 613746
- the mass rebuild of 2010.1 packages

* Sat Nov 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-11mdv2010.1
+ Revision: 467962
- rediff path patch
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.1.0-10mdv2010.0
+ Revision: 441502
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-9mdv2009.1
+ Revision: 322516
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-8mdv2009.0
+ Revision: 237040
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-7mdv2007.0
+ Revision: 82497
- Import php-pear-PEAR_Delegator

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdk
- initial Mandriva package (PLD import)

